<template>
    <div>
        <p>Du hast {{ clickCounter.timesClicked }} Mal geklickt</p>
        <button type="button" class="btn" :class="buttonColor" @click="increaseCounter(clickCounter.timesClicked)">+</button>
        <button type="button" @click="decreaseCounter" v-if="clickCounter.timesClicked">-</button>

        <ul>
            <li v-for="x in numbers">
                {{x}}
            </li>
        </ul>
    </div>
</template>

<script setup>
    import {ref} from "vue";
    import {useCounterStore} from "@/store/CounterStore";

    const clickCounter = useCounterStore()
    const buttonColor = ref('btn-primary')

    const numbers = ref([clickCounter.timesClicked])

    function changeButtonType () {
        const colors = ['primary', 'secondary', 'success', 'info', 'danger', 'warning']
        const colorIndex = Math.floor(Math.random() * colors.length)
        const color = colors[colorIndex]
        buttonColor.value = 'btn-' + color


    }

    function increaseCounter(foo) {
        console.log("click", foo)
        clickCounter.timesClicked++
        numbers.value.push(clickCounter.timesClicked)

        changeButtonType()
    }

    function decreaseCounter(eventDetails) {
        console.log(eventDetails)
        if (clickCounter.timesClicked > 0) {
            clickCounter.timesClicked--
        }
        numbers.value.push(clickCounter.timesClicked)

        changeButtonType()
    }
</script>
